cryptalgo.h File Reference
`#include <gwenhywfar/list2.h>`
`#include <gwenhywfar/db.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_CRYPT_CRYPTALGO | GWEN_CRYPT_CRYPTALGO

## Enumerations

enum | GWEN_CRYPT_CRYPTMODE { GWEN_Crypt_CryptMode_Unknown =-1 , GWEN_Crypt_CryptMode_None =0 , GWEN_Crypt_CryptMode_Ecb , GWEN_Crypt_CryptMode_Cfb , GWEN_Crypt_CryptMode_Cbc }

## Functions

GWENHYWFAR_API void | GWEN_Crypt_CryptAlgo_Attach (GWEN_CRYPT_CRYPTALGO *a)
GWENHYWFAR_API GWEN_CRYPT_CRYPTALGO * | GWEN_Crypt_CryptAlgo_dup (const GWEN_CRYPT_CRYPTALGO *a)
GWENHYWFAR_API void | GWEN_Crypt_CryptAlgo_free (GWEN_CRYPT_CRYPTALGO *a)
GWENHYWFAR_API GWEN_CRYPT_CRYPTALGO * | GWEN_Crypt_CryptAlgo_fromDb (GWEN_DB_NODE *db)
GWENHYWFAR_API int | GWEN_Crypt_CryptAlgo_GetChunkSize (const GWEN_CRYPT_CRYPTALGO *a)
GWENHYWFAR_API GWEN_CRYPT_CRYPTALGOID | GWEN_Crypt_CryptAlgo_GetId (const GWEN_CRYPT_CRYPTALGO *a)
GWENHYWFAR_API uint32_t | GWEN_Crypt_CryptAlgo_GetInitVectorLen (const GWEN_CRYPT_CRYPTALGO *a)
GWENHYWFAR_API uint8_t * | GWEN_Crypt_CryptAlgo_GetInitVectorPtr (const GWEN_CRYPT_CRYPTALGO *a)
GWENHYWFAR_API int | GWEN_Crypt_CryptAlgo_GetKeySizeInBits (const GWEN_CRYPT_CRYPTALGO *a)
GWENHYWFAR_API GWEN_CRYPT_CRYPTMODE | GWEN_Crypt_CryptAlgo_GetMode (const GWEN_CRYPT_CRYPTALGO *a)
GWENHYWFAR_API GWEN_CRYPT_CRYPTALGO * | GWEN_Crypt_CryptAlgo_new (GWEN_CRYPT_CRYPTALGOID id, GWEN_CRYPT_CRYPTMODE m)
GWENHYWFAR_API void | GWEN_Crypt_CryptAlgo_SetChunkSize (GWEN_CRYPT_CRYPTALGO *a, int s)
GWENHYWFAR_API int | GWEN_Crypt_CryptAlgo_SetInitVector (GWEN_CRYPT_CRYPTALGO *a, const uint8_t *pv, uint32_t lv)
GWENHYWFAR_API void | GWEN_Crypt_CryptAlgo_SetKeySizeInBits (GWEN_CRYPT_CRYPTALGO *a, int s)
GWENHYWFAR_API int | GWEN_Crypt_CryptAlgo_toDb (const GWEN_CRYPT_CRYPTALGO *a, GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_CRYPTALGOID | GWEN_Crypt_CryptAlgoId_fromString (const char *s)
GWENHYWFAR_API const char * | GWEN_Crypt_CryptAlgoId_toString (GWEN_CRYPT_CRYPTALGOID a)
GWENHYWFAR_API GWEN_CRYPT_CRYPTMODE | GWEN_Crypt_CryptMode_fromString (const char *s)
GWENHYWFAR_API const char * | GWEN_Crypt_CryptMode_toString (GWEN_CRYPT_CRYPTMODE m)
| GWEN_LIST2_FUNCTION_LIB_DEFS (GWEN_CRYPT_CRYPTALGO, GWEN_Crypt_CryptAlgo, GWENHYWFAR_API) } typedef enum

## Variables

| GWEN_CRYPT_CRYPTALGOID

## Typedef Documentation

## GWEN_CRYPT_CRYPTALGO

typedef struct GWEN_CRYPT_CRYPTALGO GWEN_CRYPT_CRYPTALGO

Definition at line 20 of file cryptalgo.h.

## Enumeration Type Documentation

## GWEN_CRYPT_CRYPTMODE

enum GWEN_CRYPT_CRYPTMODE

Enumerator
GWEN_Crypt_CryptMode_Unknown |
GWEN_Crypt_CryptMode_None |
GWEN_Crypt_CryptMode_Ecb |
GWEN_Crypt_CryptMode_Cfb |
GWEN_Crypt_CryptMode_Cbc |

Definition at line 55 of file cryptalgo.h.

## Function Documentation

## GWEN_Crypt_CryptAlgo_Attach()

GWENHYWFAR_API void GWEN_Crypt_CryptAlgo_Attach | ( | GWEN_CRYPT_CRYPTALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_dup()

GWENHYWFAR_API GWEN_CRYPT_CRYPTALGO * GWEN_Crypt_CryptAlgo_dup | ( | const GWEN_CRYPT_CRYPTALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_free()

GWENHYWFAR_API void GWEN_Crypt_CryptAlgo_free | ( | GWEN_CRYPT_CRYPTALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_fromDb()

GWENHYWFAR_API GWEN_CRYPT_CRYPTALGO * GWEN_Crypt_CryptAlgo_fromDb | ( | GWEN_DB_NODE * | db | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_GetChunkSize()

GWENHYWFAR_API int GWEN_Crypt_CryptAlgo_GetChunkSize | ( | const GWEN_CRYPT_CRYPTALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_GetId()

GWENHYWFAR_API GWEN_CRYPT_CRYPTALGOID GWEN_Crypt_CryptAlgo_GetId | ( | const GWEN_CRYPT_CRYPTALGO * | a | ) |

References GWEN_CRYPT_CRYPTALGOID, and GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_GetInitVectorLen()

GWENHYWFAR_API uint32_t GWEN_Crypt_CryptAlgo_GetInitVectorLen | ( | const GWEN_CRYPT_CRYPTALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_GetInitVectorPtr()

GWENHYWFAR_API uint8_t * GWEN_Crypt_CryptAlgo_GetInitVectorPtr | ( | const GWEN_CRYPT_CRYPTALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_GetKeySizeInBits()

GWENHYWFAR_API int GWEN_Crypt_CryptAlgo_GetKeySizeInBits | ( | const GWEN_CRYPT_CRYPTALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_GetMode()

GWENHYWFAR_API GWEN_CRYPT_CRYPTMODE GWEN_Crypt_CryptAlgo_GetMode | ( | const GWEN_CRYPT_CRYPTALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_new()

GWENHYWFAR_API GWEN_CRYPT_CRYPTALGO * GWEN_Crypt_CryptAlgo_new | ( | GWEN_CRYPT_CRYPTALGOID | id,
|  | GWEN_CRYPT_CRYPTMODE | m )

References GWEN_CRYPT_CRYPTALGOID, and GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_SetChunkSize()

GWENHYWFAR_API void GWEN_Crypt_CryptAlgo_SetChunkSize | ( | GWEN_CRYPT_CRYPTALGO * | a,
|  | int | s )

References GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_SetInitVector()

GWENHYWFAR_API int GWEN_Crypt_CryptAlgo_SetInitVector | ( | GWEN_CRYPT_CRYPTALGO * | a,
|  | const uint8_t * | pv,
|  | uint32_t | lv )

References GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_SetKeySizeInBits()

GWENHYWFAR_API void GWEN_Crypt_CryptAlgo_SetKeySizeInBits | ( | GWEN_CRYPT_CRYPTALGO * | a,
|  | int | s )

References GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgo_toDb()

GWENHYWFAR_API int GWEN_Crypt_CryptAlgo_toDb | ( | const GWEN_CRYPT_CRYPTALGO * | a,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgoId_fromString()

GWENHYWFAR_API GWEN_CRYPT_CRYPTALGOID GWEN_Crypt_CryptAlgoId_fromString | ( | const char * | s | ) |

References GWEN_CRYPT_CRYPTALGOID, and GWENHYWFAR_API.

## GWEN_Crypt_CryptAlgoId_toString()

GWENHYWFAR_API const char * GWEN_Crypt_CryptAlgoId_toString | ( | GWEN_CRYPT_CRYPTALGOID | a | ) |

References GWEN_CRYPT_CRYPTALGOID, and GWENHYWFAR_API.

## GWEN_Crypt_CryptMode_fromString()

GWENHYWFAR_API GWEN_CRYPT_CRYPTMODE GWEN_Crypt_CryptMode_fromString | ( | const char * | s | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_CryptMode_toString()

GWENHYWFAR_API const char * GWEN_Crypt_CryptMode_toString | ( | GWEN_CRYPT_CRYPTMODE | m | ) |

References GWENHYWFAR_API.

## GWEN_LIST2_FUNCTION_LIB_DEFS()

GWEN_LIST2_FUNCTION_LIB_DEFS | ( | GWEN_CRYPT_CRYPTALGO | ,
|  | GWEN_Crypt_CryptAlgo | ,
|  | GWENHYWFAR_API | )

RSA

DSA

triple-key DES

Definition at line 26 of file cryptalgo.h.

References GWENHYWFAR_API.

## Variable Documentation

## GWEN_CRYPT_CRYPTALGOID

GWEN_CRYPT_CRYPTALGOID

Definition at line 52 of file cryptalgo.h.

Referenced by GWEN_Crypt_CryptAlgo_GetId(), GWEN_Crypt_CryptAlgo_new(), GWEN_Crypt_CryptAlgoId_fromString(), GWEN_Crypt_CryptAlgoId_toString(), GWEN_Crypt_Key_GetCryptAlgoId(), GWEN_Crypt_Key_new(), and GWEN_Crypt_Token_KeyInfo_new().